[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBRadioGroup.DataChange

Updates the control display value when the linked dataset is repositioned.

## Declaration

Source position: dbctrls.pp line 586

`protected procedure TDBRadioGroup.DataChange(`
`Sender: TObject`
`);`

## Arguments

`Sender` |  | Object for the event notification.

## Description

DataChange is used to perform actions needed when the linked dataset for the control has been repositioned. In TDBRadioGroup, this requires setting the Value property for the control. DataChange uses the Field property (when assigned) to get the display text for the field. Value is set to an empty string ('') when Field has not been assigned.

DataChange is used as the OnDataChange event handler in the internal TFieldDataLink instance in the class. It is called directly when values are assigned to the Items and Value properties, and when UpdateRadioButtonStates is used to update tab navigation and the current selection index in the control.